

// rev 20-08-2019
#define LCD_1602
 
#ifdef LCD_2119
#define LCD_ADDRESSE= 0x74
#define NbCarPL 16
#endif

#ifdef LCD_4x20
#define LCD_ADDRESSE 0x7E
#define NbCarPL 20
#endif

#ifdef LCD_1602
#define LCD_ADDRESSE 0x4A
#define NbCarPL 16
#endif

#define  With_I2C1

//#define  PCF8574_ADDR  0x42      //b'01000010' A0=1 A1=0 A2=0
// PCF8574 I2C LCD Port Definition
// P7,P6,P5,P4 = Data, P3=Backlight (BL), P2=E, P1=RW, P0=RS
#define LCD_BL 0x08
#define LCD_EN 0x04
#define LCD_RW 0x02
#define LCD_RS 0x01

#define LCD_LINE1         0x80     //Move cursor to the 1st row
#define LCD_LINE2         0xC0     //Move cursor to the 2nd row
#define LCD_LINE3         0x94     //Move cursor to the 3rd row
#define LCD_LINE4         0xD4     //Move cursor to the 4th row

#define LCD_CLEAR              0x01     //Clear display
#define LCD_RETURN_HOME        0x02     //Return cursor to home position, returns a shifted display to
                                         //its original position. Display data RAM is unaffected.
#define Display_ON 0x0C
#define Display_OFF 0x08
#define LCD_CURSOR_OFF         0x0C     //Turn off cursor
#define LCD_UNDERLINE_ON       0x0E     //Underline cursor on
#define LCD_BLINK_CURSOR_ON    0x0F     //Blink cursor on
#define LCD_MOVE_CURSOR_LEFT   0x10     //Move cursor left without changing display data RAM
#define LCD_MOVE_CURSOR_RIGHT  0x14     //Move cursor right without changing display data RAM
#define LCD_TURN_ON            0x0C     //Turn Lcd display on
#define LCD_TURN_OFF           0x08     //Turn Lcd display off
#define LCD_SHIFT_LEFT         0x18     //Shift display left without changing display data RAM
#define LCD_SHIFT_RIGHT        0x1E     //Shift display right without changing display data RAM


#ifdef With_I2C1
#define  I2Cx_Wr              I2C1_Wr
#define  I2Cx_Start           I2C1_Start
#define  I2Cx_Repeated_Start  I2C1_Repeated_Start
#define I2Cx_Stop             I2C1_Stop
 #endif
 
#ifdef With_I2C2
#define  I2Cx_Wr              I2C2_Wr
#define  I2Cx_Start           I2C2_Start
#define  I2Cx_Repeated_Start  I2C2_Repeated_Start
#define I2Cx_Stop             I2C21_Stop
#endif